Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

First: what's the difference between gs and ghostscript?

thiago@vaio:~$ gs -v
GPL Ghostscript 9.06 (2012-08-08)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.

thiago@vaio:~$ ghostscript -v
GPL Ghostscript 9.04 (2011-08-05)
Copyright (C) 2011 Artifex Software, Inc.  All rights reserved.

I've just compiled and installed ghostscript-9.06.tar. But I still have some errors when I try to open my .dvi files with xdvi, for example: xdvik: read_from_gs: Connection reset by peer.

Well, I'd like to remove everything about old gs/ghostscript and install the newest version.

Thanks for helping.

edit: the result of these 2 commands:

thiago@vaio:/usr/bin$ gs
GPL Ghostscript 9.06 (2012-08-08)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
GS>^C
thiago@vaio:/usr/bin$ ghostscript 
GPL Ghostscript 9.04 (2011-08-05)
Copyright (C) 2011 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
GS>^C
thiago@vaio:/usr/bin$ 

The second one opens a window also.

share|improve this question
    
On my system ghostscript is a symbolic link to gs, therefore it's the same. Apparently you have different versions installed and gs links to the the current one. –  Marco Sep 7 '12 at 14:36
    
Why do you need to compile the program manually from sources? Can't you use your distribution package manager? –  gorkypl Sep 7 '12 at 14:45
    
@gorkypl, I only find 9.04 on synaptic. But there is the 9.06 version. ghostscript.com/download –  Sigur Sep 7 '12 at 14:47
    
IMO unless there are features or bug-fixes in 9.06 that you absolutely require now, you're better off waiting until your distro packages it. –  cas Sep 8 '12 at 3:35
    
@CraigSanders, yes, I agree now. Somebody ask me to update my I agree that it is better to maintain. How to remove 9.06? I am getting error qhen I open the .dvi file from texstudio: Process started: xdvi "Fastex-temp."dvi xdvik: read_from_gs: Connection closed by other peer and with 9.04 I didn't have this error. –  Sigur Sep 8 '12 at 15:19
show 2 more comments

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.